مرجع واجهة API
الوكلاء وMCP
قراءة الإنفاق والوفورات لكل وكيل، واستدعاء الأدوات عبر بوابة MCP المحكومة، وتشغيل أدوات القراءة الخاصة بالمساعد.
ملخصات المسارات وأسماء الحقول مكتوبة بالإنجليزية، هنا وفي الملف.
/api/v1/agents
GET /api/v1/agents
Spend and savings per agent
المصادقة
مفتاح API
نطاق المفتاح
agents:readالمعاملات
daysالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 api_key_scope_denied, api_key_role_denied, ip_not_allowed, plan_required · 429/api/v1/mcp
GET /api/v1/mcp
Not used — the MCP gateway opens no stream (405)
المصادقة
مفتاح API
نطاق المفتاح
agents:writeالوحدة
متاح حيث يشغّل النشر
FEATURE_MCP_GATEWAY.الإجابات
405POST /api/v1/mcp
The governed MCP gateway (Streamable HTTP, tools only)
المصادقة
مفتاح API
نطاق المفتاح
agents:writeالوحدة
متاح حيث يشغّل النشر
FEATURE_MCP_GATEWAY.الجسم
application/jsonالإجابات
200 · 202 · 400 · 401 api_key_missing, api_key_invalid · 403 key_not_bound_to_agent, origin_not_allowed, api_key_scope_denied, plan_required · 429 · 500 internal_error · 501 feature_disabled · 503 feature_disabled, service_unavailableDELETE /api/v1/mcp
Not used — the MCP gateway keeps no session (405)
المصادقة
مفتاح API
نطاق المفتاح
agents:writeالوحدة
متاح حيث يشغّل النشر
FEATURE_MCP_GATEWAY.الإجابات
405/api/v1/insights
POST /api/v1/insights/{tool}
Run one of the assistant's read tools
المصادقة
مفتاح API
نطاق المفتاح
insights:readالوحدة
متاح حيث يشغّل النشر
FEATURE_ASSISTANT.المعاملات
tool (إلزامي)الجسم
input · localeالإجابات
200 · 400 validation_failed · 401 api_key_missing, api_key_invalid · 403 assistant_disabled, api_key_scope_denied, plan_required · 404 unknown_tool · 429 · 500 internal_error · 501 feature_disabled · 503 service_unavailable